/*
 *  Copyright (C) 2011 in-somnia
 *
 *  This file is part of JAAD.
 *
 *  JAAD is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as
 *  published by the Free Software Foundation; either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  JAAD is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library.
 *  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sourceforge.jaad.mp4.boxes;

public interface BoxTypes {

	long EXTENDED_TYPE = 1970628964; // uuid
	// standard boxes (ISO BMFF)
	long ADDITIONAL_METADATA_CONTAINER_BOX = 1835361135L; // meco
	long APPLE_LOSSLESS_BOX = 1634492771L; // alac
	long BINARY_XML_BOX = 1652059500L; // bxml
	long BIT_RATE_BOX = 1651798644L; // btrt
	long CHAPTER_BOX = 1667788908L; // chpl
	long CHUNK_OFFSET_BOX = 1937007471L; // stco
	long CHUNK_LARGE_OFFSET_BOX = 1668232756L; // co64
	long CLEAN_APERTURE_BOX = 1668047216L; // clap
	long COMPACT_SAMPLE_SIZE_BOX = 1937013298L; // stz2
	long COMPOSITION_TIME_TO_SAMPLE_BOX = 1668576371L; // ctts
	long COPYRIGHT_BOX = 1668313716L; // cprt
	long DATA_ENTRY_URN_BOX = 1970433568L; // urn
	long DATA_ENTRY_URL_BOX = 1970433056L; // url
	long DATA_INFORMATION_BOX = 1684631142L; // dinf
	long DATA_REFERENCE_BOX = 1685218662L; // dref
	long DECODING_TIME_TO_SAMPLE_BOX = 1937011827L; // stts
	long DEGRADATION_PRIORITY_BOX = 1937007728L; // stdp
	long EDIT_BOX = 1701082227L; // edts
	long EDIT_LIST_BOX = 1701606260L; // elst
	long FD_ITEM_INFORMATION_BOX = 1718184302L; // fiin
	long FD_SESSION_GROUP_BOX = 1936025458L; // segr
	long FEC_RESERVOIR_BOX = 1717920626L; // fecr
	long FILE_PARTITION_BOX = 1718641010L; // fpar
	long FILE_TYPE_BOX = 1718909296L; // ftyp
	long FREE_SPACE_BOX = 1718773093L; // free
	long GROUP_ID_TO_NAME_BOX = 1734964334L; // gitn
	long HANDLER_BOX = 1751411826L; // hdlr
	long HINT_MEDIA_HEADER_BOX = 1752000612L; // hmhd
	long IPMP_CONTROL_BOX = 1768975715L; // ipmc
	long IPMP_INFO_BOX = 1768778086L; // imif
	long ITEM_INFORMATION_BOX = 1768517222L; // iinf
	long ITEM_INFORMATION_ENTRY = 1768842853L; // infe
	long ITEM_LOCATION_BOX = 1768714083L; // iloc
	long ITEM_PROTECTION_BOX = 1768977007L; // ipro
	long MEDIA_BOX = 1835297121L; // mdia
	long MEDIA_DATA_BOX = 1835295092L; // mdat
	long MEDIA_HEADER_BOX = 1835296868L; // mdhd
	long MEDIA_INFORMATION_BOX = 1835626086L; // minf
	long META_BOX = 1835365473L; // meta
	long META_BOX_RELATION_BOX = 1835364965L; // mere
	long MOVIE_BOX = 1836019574L; // moov
	long MOVIE_EXTENDS_BOX = 1836475768L; // mvex
	long MOVIE_EXTENDS_HEADER_BOX = 1835362404L; // mehd
	long MOVIE_FRAGMENT_BOX = 1836019558L; // moof
	long MOVIE_FRAGMENT_HEADER_BOX = 1835427940L; // mfhd
	long MOVIE_FRAGMENT_RANDOM_ACCESS_BOX = 1835430497L; // mfra
	long MOVIE_FRAGMENT_RANDOM_ACCESS_OFFSET_BOX = 1835430511L; // mfro
	long MOVIE_HEADER_BOX = 1836476516L; // mvhd
	long NERO_METADATA_TAGS_BOX = 1952540531L; // tags
	long NULL_MEDIA_HEADER_BOX = 1852663908L; // nmhd
	long ORIGINAL_FORMAT_BOX = 1718775137L; // frma
	long PADDING_BIT_BOX = 1885430882L; // padb
	long PARTITION_ENTRY = 1885431150L; // paen
	long PIXEL_ASPECT_RATIO_BOX = 1885434736L; // pasp
	long PRIMARY_ITEM_BOX = 1885959277L; // pitm
	long PROGRESSIVE_DOWNLOAD_INFORMATION_BOX = 1885628782L; // pdin
	long PROTECTION_SCHEME_INFORMATION_BOX = 1936289382L; // sinf
	long SAMPLE_DEPENDENCY_TYPE_BOX = 1935963248L; // sdtp
	long SAMPLE_DESCRIPTION_BOX = 1937011556L; // stsd
	long SAMPLE_GROUP_DESCRIPTION_BOX = 1936158820L; // sgpd
	long SAMPLE_SCALE_BOX = 1937011564L; // stsl
	long SAMPLE_SIZE_BOX = 1937011578L; // stsz
	long SAMPLE_TABLE_BOX = 1937007212L; // stbl
	long SAMPLE_TO_CHUNK_BOX = 1937011555L; // stsc
	long SAMPLE_TO_GROUP_BOX = 1935828848L; // sbgp
	long SCHEME_TYPE_BOX = 1935894637L; // schm
	long SCHEME_INFORMATION_BOX = 1935894633L; // schi
	long SHADOW_SYNC_SAMPLE_BOX = 1937011560L; // stsh
	long SKIP_BOX = 1936419184L; // skip
	long SOUND_MEDIA_HEADER_BOX = 1936549988L; // smhd
	long SUB_SAMPLE_INFORMATION_BOX = 1937072755L; // subs
	long SYNC_SAMPLE_BOX = 1937011571L; // stss
	long TRACK_BOX = 1953653099L; // trak
	long TRACK_EXTENDS_BOX = 1953654136L; // trex
	long TRACK_FRAGMENT_BOX = 1953653094L; // traf
	long TRACK_FRAGMENT_HEADER_BOX = 1952868452L; // tfhd
	long TRACK_FRAGMENT_RANDOM_ACCESS_BOX = 1952871009L; // tfra
	long TRACK_FRAGMENT_RUN_BOX = 1953658222L; // trun
	long TRACK_HEADER_BOX = 1953196132L; // tkhd
	long TRACK_REFERENCE_BOX = 1953654118L; // tref
	long TRACK_SELECTION_BOX = 1953719660L; // tsel
	long USER_DATA_BOX = 1969517665L; // udta
	long VIDEO_MEDIA_HEADER_BOX = 1986881636L; // vmhd
	long WIDE_BOX = 2003395685L; // wide
	long XML_BOX = 2020437024L; // xml
	// mp4 extension
	long OBJECT_DESCRIPTOR_BOX = 1768907891L; // iods
	long SAMPLE_DEPENDENCY_BOX = 1935959408L; // sdep
	// metadata: id3
	long ID3_TAG_BOX = 1768174386L; // id32
	// metadata: itunes
	long ITUNES_META_LIST_BOX = 1768715124L; // ilst
	long CUSTOM_ITUNES_METADATA_BOX = 757935405L; // ----
	long ITUNES_METADATA_BOX = 1684108385L; // data
	long ITUNES_METADATA_NAME_BOX = 1851878757L; // name
	long ITUNES_METADATA_MEAN_BOX = 1835360622L; // mean
	long ALBUM_ARTIST_NAME_BOX = 1631670868L; // aART
	long ALBUM_ARTIST_SORT_BOX = 1936679265L; // soaa
	long ALBUM_NAME_BOX = 2841734242L; // ©alb
	long ALBUM_SORT_BOX = 1936679276L; // soal
	long ARTIST_NAME_BOX = 2839630420L; // ©ART
	long ARTIST_SORT_BOX = 1936679282L; // soar
	long CATEGORY_BOX = 1667331175L; // catg
	long COMMENTS_BOX = 2841865588L; // ©cmt
	long COMPILATION_PART_BOX = 1668311404L; // cpil
	long COMPOSER_NAME_BOX = 2843177588L; // ©wrt
	long COMPOSER_SORT_BOX = 1936679791L; // soco
	long COVER_BOX = 1668249202L; // covr
	long CUSTOM_GENRE_BOX = 2842125678L; // ©gen
	long DESCRIPTION_BOX = 1684370275L; // desc
	long DISK_NUMBER_BOX = 1684632427L; // disk
	long ENCODER_NAME_BOX = 2841996899L; // ©enc
	long ENCODER_TOOL_BOX = 2842980207L; // ©too
	long EPISODE_GLOBAL_UNIQUE_ID_BOX = 1701276004L; // egid
	long GAPLESS_PLAYBACK_BOX = 1885823344L; // pgap
	long GENRE_BOX = 1735291493L; // gnre
	long GROUPING_BOX = 2842129008L; // ©grp
	long HD_VIDEO_BOX = 1751414372L; // hdvd
	long ITUNES_PURCHASE_ACCOUNT_BOX = 1634748740L; // apID
	long ITUNES_ACCOUNT_TYPE_BOX = 1634421060L; // akID
	long ITUNES_CATALOGUE_ID_BOX = 1668172100L; // cnID
	long ITUNES_COUNTRY_CODE_BOX = 1936083268L; // sfID
	long KEYWORD_BOX = 1801812343L; // keyw
	long LONG_DESCRIPTION_BOX = 1818518899L; // ldes
	long LYRICS_BOX = 2842458482L; // ©lyr
	long META_TYPE_BOX = 1937009003L; // stik
	long PODCAST_BOX = 1885565812L; // pcst
	long PODCAST_URL_BOX = 1886745196L; // purl
	long PURCHASE_DATE_BOX = 1886745188L; // purd
	long RATING_BOX = 1920233063L; // rtng
	long RELEASE_DATE_BOX = 2841928057L; // ©day
	long REQUIREMENT_BOX = 2842846577L; // ©req
	long TEMPO_BOX = 1953329263L; // tmpo
	long TRACK_NAME_BOX = 2842583405L; // ©nam
	long TRACK_NUMBER_BOX = 1953655662L; // trkn
	long TRACK_SORT_BOX = 1936682605L; // sonm
	long TV_EPISODE_BOX = 1953916275L; // tves
	long TV_EPISODE_NUMBER_BOX = 1953916270L; // tven
	long TV_NETWORK_NAME_BOX = 1953918574L; // tvnn
	long TV_SEASON_BOX = 1953919854L; // tvsn
	long TV_SHOW_BOX = 1953919848L; // tvsh
	long TV_SHOW_SORT_BOX = 1936683886L; // sosn
	// metadata: 3gpp
	long THREE_GPP_ALBUM_BOX = 1634493037L; // albm
	long THREE_GPP_AUTHOR_BOX = 1635087464L; // auth
	long THREE_GPP_CLASSIFICATION_BOX = 1668051814L; // clsf
	long THREE_GPP_DESCRIPTION_BOX = 1685283696L; // dscp
	long THREE_GPP_KEYWORDS_BOX = 1803122532L; // kywd
	long THREE_GPP_LOCATION_INFORMATION_BOX = 1819239273L; // loci
	long THREE_GPP_PERFORMER_BOX = 1885696614L; // perf
	long THREE_GPP_RECORDING_YEAR_BOX = 2037543523L; // yrrc
	long THREE_GPP_TITLE_BOX = 1953068140L; // titl
	// metadata: google/youtube
	long GOOGLE_HOST_HEADER_BOX = 1735616616L; // gshh
	long GOOGLE_PING_MESSAGE_BOX = 1735618669L; // gspm
	long GOOGLE_PING_URL_BOX = 1735618677L; // gspu
	long GOOGLE_SOURCE_DATA_BOX = 1735619428L; // gssd
	long GOOGLE_START_TIME_BOX = 1735619444L; // gsst
	long GOOGLE_TRACK_DURATION_BOX = 1735619684L; // gstd
	// sample entries
	long MP4V_SAMPLE_ENTRY = 1836070006L; // mp4v
	long H263_SAMPLE_ENTRY = 1932670515L; // s263
	long ENCRYPTED_VIDEO_SAMPLE_ENTRY = 1701733238L; // encv
	long AVC_SAMPLE_ENTRY = 1635148593L; // avc1
	long MP4A_SAMPLE_ENTRY = 1836069985L; // mp4a
	long AC3_SAMPLE_ENTRY = 1633889587L; // ac-3
	long EAC3_SAMPLE_ENTRY = 1700998451L; // ec-3
	long DRMS_SAMPLE_ENTRY = 1685220723L; // drms
	long AMR_SAMPLE_ENTRY = 1935764850L; // samr
	long AMR_WB_SAMPLE_ENTRY = 1935767394L; // sawb
	long EVRC_SAMPLE_ENTRY = 1936029283L; // sevc
	long QCELP_SAMPLE_ENTRY = 1936810864L; // sqcp
	long SMV_SAMPLE_ENTRY = 1936944502L; // ssmv
	long ENCRYPTED_AUDIO_SAMPLE_ENTRY = 1701733217L; // enca
	long MPEG_SAMPLE_ENTRY = 1836070003L; // mp4s
	long TEXT_METADATA_SAMPLE_ENTRY = 1835365492L; // mett
	long XML_METADATA_SAMPLE_ENTRY = 1835365496L; // metx
	long RTP_HINT_SAMPLE_ENTRY = 1920233504L; // rtp
	long FD_HINT_SAMPLE_ENTRY = 1717858336L; // fdp
	// codec infos
	long ESD_BOX = 1702061171L; // esds
	// video codecs
	long H263_SPECIFIC_BOX = 1681012275L; // d263
	long AVC_SPECIFIC_BOX = 1635148611L; // avcC
	// audio codecs
	long AC3_SPECIFIC_BOX = 1684103987L; // dac3
	long EAC3_SPECIFIC_BOX = 1684366131L; // dec3
	long AMR_SPECIFIC_BOX = 1684106610L; // damr
	long EVRC_SPECIFIC_BOX = 1684371043L; // devc
	long QCELP_SPECIFIC_BOX = 1685152624L; // dqcp
	long SMV_SPECIFIC_BOX = 1685286262L; // dsmv
	// OMA DRM
	long OMA_ACCESS_UNIT_FORMAT_BOX = 1868849510L; // odaf
	long OMA_COMMON_HEADERS_BOX = 1869112434L; // ohdr
	long OMA_CONTENT_ID_BOX = 1667459428L; // ccid
	long OMA_CONTENT_OBJECT_BOX = 1868850273L; // odda
	long OMA_COVER_URI_BOX = 1668706933L; // cvru
	long OMA_DISCRETE_MEDIA_HEADERS_BOX = 1868851301L; // odhe
	long OMA_DRM_CONTAINER_BOX = 1868853869L; // odrm
	long OMA_ICON_URI_BOX = 1768124021L; // icnu
	long OMA_INFO_URL_BOX = 1768842869L; // infu
	long OMA_LYRICS_URI_BOX = 1819435893L; // lrcu
	long OMA_MUTABLE_DRM_INFORMATION_BOX = 1835299433L; // mdri
	long OMA_KEY_MANAGEMENT_BOX = 1868852077L; // odkm
	long OMA_RIGHTS_OBJECT_BOX = 1868853858L; // odrb
	long OMA_TRANSACTION_TRACKING_BOX = 1868854388L; // odtt
	// iTunes DRM (FairPlay)
	long FAIRPLAY_USER_ID_BOX = 1970496882L; // user
	long FAIRPLAY_USER_NAME_BOX = 1851878757L; // name
	long FAIRPLAY_USER_KEY_BOX = 1801812256L; // key
	long FAIRPLAY_IV_BOX = 1769367926L; // iviv
	long FAIRPLAY_PRIVATE_KEY_BOX = 1886546294L; // priv
}
